## com.puppycrawl.tools.checkstyle
Class Main

    java.lang.Object
      com.puppycrawl.tools.checkstyle.Main

    public final class Main

extends Object

Wrapper command line program for the Checker.

Author:
  Oliver Burn

Method Summary
`static void` `main(String[] aArgs)` Loops over the files specified checking them for errors.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] aArgs)

  Loops over the files specified checking them for errors. The exit code is the number of errors found in all the files.

  Parameters:
    `aArgs` - the command line arguments

Copyright © 2001-2011. All Rights Reserved.